Page MenuHomePhabricator

Convert SocialProfile to use extension registration
Open, LowPublic

Event Timeline

SamanthaNguyen moved this task from Backlog to Feedback on the SocialProfile board.

Change 329027 had a related patch set uploaded (by SamanthaNguyen):
[WIP] Convert to newer extension registration

https://gerrit.wikimedia.org/r/329027

Change 329027 abandoned by SamanthaNguyen:
[WIP] Convert to newer extension registration

Reason:
Will replace and write a new patch this week.

https://gerrit.wikimedia.org/r/329027

Change 336551 had a related patch set uploaded (by SamanthaNguyen):
Convert to newer extension registration

https://gerrit.wikimedia.org/r/336551

SamanthaNguyen changed the task status from Open to Stalled.Feb 8 2017, 1:52 AM
SamanthaNguyen added a subscriber: Legoktm.

So splitting it in multiple extension.json files requires registrating each one (since each one can't be linked to the main extension.json (HT @Legoktm!) ); this task will have to be marked as stalled until it's decided whether or not we want to have multiple files or merge all of these extension registration files into one.

Per the notes on https://www.mediawiki.org/wiki/Version_lifecycle, MediaWiki 1.23's support will be ended in May 2017, which will be in 4ish months; then 1.27+ support will be forced. PHP entry points will still be supported just because there's so many, but we'll want to start considering this ticket and keeping it in mind since generally being up to date is usually good.

Change 336551 abandoned by SamanthaNguyen:
Convert to newer extension registration

Reason:
see I017e5c3779fc5cc33a84694a513442a3259accbd

https://gerrit.wikimedia.org/r/336551

Change 374060 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] [DNM] Use and convert to newer extension registration

https://gerrit.wikimedia.org/r/374060

SamanthaNguyen renamed this task from Update SocialProfile to newer extension registration method to Convert SocialProfile to use extension registration.Sep 2 2017, 8:17 PM

Change 381707 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert UserWelcome to use extension registration

https://gerrit.wikimedia.org/r/381707

Change 381707 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert UserWelcome to use extension registration

https://gerrit.wikimedia.org/r/381707

Change 374060 abandoned by SamanthaNguyen:
[DNM] Use and convert to newer extension registration

Reason:
This was like the big third attempt at this, but now this is finally getting some faster progress after the decision was made to split into smaller patches. All patches for helping this progress will be under https://gerrit.wikimedia.org/r/#/q/topic:convert-socialprofile-extreg

\o/

https://gerrit.wikimedia.org/r/374060

Change 381933 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert UserActivity to use extension registration

https://gerrit.wikimedia.org/r/381933

Change 381933 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert UserActivity to use extension registration

https://gerrit.wikimedia.org/r/381933

Change 392340 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert UserRelationship to use extension registration

https://gerrit.wikimedia.org/r/392340

Change 392361 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert SystemGifts to use extension registration

https://gerrit.wikimedia.org/r/392361

Change 392453 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert UserBoard to use extension registration

https://gerrit.wikimedia.org/r/392453

Change 392526 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert UserStats to use extension registration

https://gerrit.wikimedia.org/r/392526

Change 392693 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] Convert UserGifts to use extension registration

https://gerrit.wikimedia.org/r/392693

Change 392726 had a related patch set uploaded (by SamanthaNguyen; owner: SamanthaNguyen):
[mediawiki/extensions/SocialProfile@master] [DNM] Convert UserProfile to use extension registration

https://gerrit.wikimedia.org/r/392726

Change 392361 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert SystemGifts to use extension registration

https://gerrit.wikimedia.org/r/392361

Change 392453 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert UserBoard to use extension registration

https://gerrit.wikimedia.org/r/392453

Change 392340 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert UserRelationship to use extension registration

https://gerrit.wikimedia.org/r/392340

Change 392526 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert UserStats to use extension registration

https://gerrit.wikimedia.org/r/392526

Change 392693 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Convert UserGifts to use extension registration

https://gerrit.wikimedia.org/r/392693

Legoktm changed the task status from Stalled to Open.Dec 8 2017, 7:20 AM

@SamanthaNguyen nice work so far! In the future I'd recommend just building a stack of patches (just make individual commits on top of each other), because you based all of the patches individually on master, they all conflicted with each other, and I had to manually rebase each of them to turn them into a stack.

Getting rid of stalled status since progress is happening :)

@Legoktm: Thanks for the advice and for rebasing them, I'll make sure to keep this in mind for the future :)

Jdforrester-WMF triaged this task as Low priority.Jan 31 2018, 8:14 PM

Change 392726 abandoned by SamanthaNguyen:
[DNM] Convert UserProfile to use extension registration

Reason:
Currently not working on any social tool extensions.

https://gerrit.wikimedia.org/r/392726

SamanthaNguyen removed SamanthaNguyen as the assignee of this task.Jun 19 2018, 12:06 AM